"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@arkecosystem/core-container");
const utils_1 = require("../utils");
const command_1 = require("./command");
class TruncateCommand extends command_1.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(TruncateCommand);
        await utils_1.setUpLite(flags);
        await core_container_1.app.resolvePlugin("snapshots").truncateChain();
    }
}
TruncateCommand.description = "truncate blockchain database";
exports.TruncateCommand = TruncateCommand;
//# sourceMappingURL=truncate.js.map