"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = __importStar(require("@oclif/command"));
class BaseCommand extends command_1.default {
}
BaseCommand.flags = {
    data: command_1.flags.string({
        description: "data directory",
    }),
    config: command_1.flags.string({
        description: "network config",
    }),
    token: command_1.flags.string({
        description: "token name",
        default: "ark",
    }),
    network: command_1.flags.string({
        description: "token network",
    }),
    skipCompression: command_1.flags.boolean({
        description: "skip gzip compression",
    }),
    trace: command_1.flags.boolean({
        description: "dumps generated queries and settings to console",
    }),
};
exports.BaseCommand = BaseCommand;
//# sourceMappingURL=command.js.map