import { flags } from "@oclif/command";
import { BaseCommand } from "./command";
export declare class RestoreCommand extends BaseCommand {
    static description: string;
    static flags: {
        blocks: flags.IOptionFlag<string>;
        codec: flags.IOptionFlag<string>;
        truncate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        skipRestartRound: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        signatureVerify: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        data: flags.IOptionFlag<string>;
        config: flags.IOptionFlag<string>;
        token: flags.IOptionFlag<string>;
        network: flags.IOptionFlag<string>;
        skipCompression: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        trace: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
}
