"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@arkecosystem/core-container");
exports.setUpLite = async (options) => {
    process.env.CORE_SKIP_BLOCKCHAIN = "true";
    await core_container_1.app.setUp("2.0.0", options, {
        include: [
            "@arkecosystem/core-logger",
            "@arkecosystem/core-logger-winston",
            "@arkecosystem/core-event-emitter",
            "@arkecosystem/core-snapshots",
        ],
    });
    return core_container_1.app;
};
exports.tearDown = async () => core_container_1.app.tearDown();
//# sourceMappingURL=utils.js.map